/**
 * @returns {Promise<void>}
 */
export async function nextAnimationFrame(inFrame){
    // Await the next animation frame
    await new Promise((resolve,reject)=>requestAnimationFrame(()=>resolve()));
}